'use strict';
 
angular.module('qrzk')
   //试卷状态
  .filter('paperStatus', function() {
    return function(data) {
    	var result = '';
    	if(data == 'DRAFT'){
    		result = '毛坯';
    	}
    	else if(data == 'FORMAL'){
    		result = '清样';
    	}
    	else if(data == 'USED'){
    		result = '启用';
    	}
      return result;
    };
  })
  //试卷状态
  .filter('userStatus', function() {
    return function(data) {
    	var result = '';
    	if(data == 1){
    		result = '启用';
    	}
    	else if(data == 0){
    		result = '停用';
    	}
      return result;
    };
  })
  //启用停用状态
  .filter('enableStatus', function() {
	  return function(data) {
		  var result = '';
		  if(data == 1){
			  result = '启用';
		  }
		  else if(data == 0){
			  result = '停用';
		  }
		  return result;
	  };
  })
  //是否不为空
  .filter('isNull', function() {
    return function(data) {
    	var result = '';
    	if(data == null || data == ''){
    		result = '/';
    	}
    	else{
    		result = '有';
    	}
      return result;
    };
  })
  //试题选项ABCDE转换
  .filter('optionNoStr', function() {
	  return function(data) {
		  switch(data){
		  case 0: return 'A';
		  case 1: return 'B';
		  case 2: return 'C';
		  case 3: return 'D';
		  case 4: return 'E';
		  default: return '';
		  }
	  };
  })
  //是否不为空
  .filter('isSpecialCard', function() {
    return function(data) {
    	var result = '';
    	if(data == 0){
    		result = '否';
    	}
    	else if(data == 1){
    		result = '是';
    	}
    	else{
    		result = '不详';
    	}
      return result;
    };
  });